Skip to content

Delete Repo

DELETE
/api/v1/container_registry/projects-repository/
curl --request DELETE \
--url 'https://api.e2enetworks.com/myaccount/api/v1/container_registry/projects-repository/?project_name=<PROJECT_NAME>&repository_name=<REPOSITORY_NAME>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_name
required
integer

Container Registry name

repository_name
required
string

Repository Name

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Repository deleted successfully.

Media typeapplication/json
object
code
integer
data
string
errors
object
key
additional properties
string
message
string

Example

{
"code": 200,
"data": "Repository Deleted Successfully",
"errors": {},
"message": "Success"
}